# Uses of Interface
org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

Packages that use ICLAScheme
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.scheme
org.apache.sysds.runtime.compress.plan

## Uses of ICLAScheme in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return ICLAScheme
Modifier and Type
Method
Description
`abstract ICLAScheme`
AColGroup.`getCompressionScheme()`
Get the compression scheme for this column group to enable compression of other data.
`ICLAScheme`
ASDC.`getCompressionScheme()`
`ICLAScheme`
ASDCZero.`getCompressionScheme()`
`ICLAScheme`
ColGroupConst.`getCompressionScheme()`
`ICLAScheme`
ColGroupDDC.`getCompressionScheme()`
`ICLAScheme`
ColGroupDDCFOR.`getCompressionScheme()`
`ICLAScheme`
ColGroupDDCLZW.`getCompressionScheme()`
`ICLAScheme`
ColGroupEmpty.`getCompressionScheme()`
`ICLAScheme`
ColGroupLinearFunctional.`getCompressionScheme()`
`ICLAScheme`
ColGroupOLE.`getCompressionScheme()`
`ICLAScheme`
ColGroupRLE.`getCompressionScheme()`
`ICLAScheme`
ColGroupSDCFOR.`getCompressionScheme()`
`ICLAScheme`
ColGroupUncompressed.`getCompressionScheme()`
`ICLAScheme`
ColGroupUncompressedArray.`getCompressionScheme()`

## Uses of ICLAScheme in org.apache.sysds.runtime.compress.colgroup.scheme

Classes in org.apache.sysds.runtime.compress.colgroup.scheme that implement ICLAScheme
Modifier and Type
Class
Description
`class`
`ACLAScheme`
`class`
`ConstScheme`
`class`
`DDCLZWScheme`
`class`
`DDCLZWSchemeMC`
`class`
`DDCLZWSchemeSC`
`class`
`DDCScheme`
`class`
`DDCSchemeMC`
`class`
`DDCSchemeSC`
`class`
`EmptyScheme`
`class`
`RLEScheme`
`class`
`SDCScheme`
`class`
`SDCSchemeMC`
`class`
`SDCSchemeSC`
`class`
`UncompressedScheme`
Methods in org.apache.sysds.runtime.compress.colgroup.scheme that return ICLAScheme
Modifier and Type
Method
Description
`ICLAScheme`
ICLAScheme.`clone()`
`static ICLAScheme`
ConstScheme.`create(ColGroupConst g)`
`static ICLAScheme`
ConstScheme.`create(IColIndex cols, double[] vals)`
`static ICLAScheme`
RLEScheme.`create(ColGroupRLE g)`
`static ICLAScheme`
SchemeFactory.`create(IColIndex columns, AColGroup.CompressionType type)`
`ICLAScheme`
CompressionScheme.`get(int i)`
Get the encoding in a specific index.
`final ICLAScheme`
ACLAScheme.`update(MatrixBlock data)`
`final ICLAScheme`
ACLAScheme.`update(MatrixBlock data, IColIndex columns)`
`ICLAScheme`
ICLAScheme.`update(MatrixBlock data)`
Update the encoding scheme to enable compression of the given data.
`ICLAScheme`
ICLAScheme.`update(MatrixBlock data, IColIndex columns)`
Update the encoding scheme to enable compression of the given data.
`final ICLAScheme`
ACLAScheme.`updateT(MatrixBlock data)`
`final ICLAScheme`
ACLAScheme.`updateT(MatrixBlock data, IColIndex columns)`
`ICLAScheme`
ICLAScheme.`updateT(MatrixBlock data)`
Update the encoding scheme to enable compression of the given data.
`ICLAScheme`
ICLAScheme.`updateT(MatrixBlock data, IColIndex columns)`
Update the encoding scheme to enable compression of the given data.
Methods in org.apache.sysds.runtime.compress.colgroup.scheme that return types with arguments of type ICLAScheme
Modifier and Type
Method
Description
`final Pair<ICLAScheme,AColGroup>`
ACLAScheme.`updateAndEncode(MatrixBlock data)`
`final Pair<ICLAScheme,AColGroup>`
ACLAScheme.`updateAndEncode(MatrixBlock data, IColIndex columns)`
`Pair<ICLAScheme,AColGroup>`
ICLAScheme.`updateAndEncode(MatrixBlock data)`
Update and encode the given block in a single pass.
`Pair<ICLAScheme,AColGroup>`
ICLAScheme.`updateAndEncode(MatrixBlock data, IColIndex columns)`
Try to update and encode in a single pass over the data.
`final Pair<ICLAScheme,AColGroup>`
ACLAScheme.`updateAndEncodeT(MatrixBlock data)`
`final Pair<ICLAScheme,AColGroup>`
ACLAScheme.`updateAndEncodeT(MatrixBlock data, IColIndex columns)`
`Pair<ICLAScheme,AColGroup>`
ICLAScheme.`updateAndEncodeT(MatrixBlock data)`
Update and encode the given block in a single pass.
`Pair<ICLAScheme,AColGroup>`
ICLAScheme.`updateAndEncodeT(MatrixBlock data, IColIndex columns)`
Try to update and encode in a single pass over the data.
Constructors in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type ICLAScheme
Modifier
Constructor
Description
``
`CompressionScheme(ICLAScheme[] encodings)`

## Uses of ICLAScheme in org.apache.sysds.runtime.compress.plan

Constructors in org.apache.sysds.runtime.compress.plan with parameters of type ICLAScheme
Modifier
Constructor
Description
``
`NaivePlanEncode(ICLAScheme[] schemes, int k, boolean overlapping)`